## linux-6.1 6.1.129

=== debian/changelog ===
linux-6.1 (6.1.129-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch:
    - Set ABI to 0.deb9.32

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 07 Apr 2025 13:21:28 +0200

linux-6.1 (6.1.129-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster:
    - Set ABI to 0.deb10.32

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 01 Apr 2025 14:12:47 +0200

linux-6.1 (6.1.129-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye:
    - Set ABI to 0.deb11.32

 -- Ben Hutchings <benh@debian.org>  Mon, 24 Mar 2025 00:02:26 +0100

linux (6.1.129-1) bookworm; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.129
    - [powerpc*] book3s64/hugetlb: Fix disabling hugetlb when fadump is active
    - afs: Fix EEXIST error returned from afs_rmdir() to be ENOTEMPTY
    - afs: Fix directory format encoding struct
    - fs: fix proc_handler for sysctl_nr_open
    - block: retry call probe after request_module in blk_request_module
    - nbd: don't allow reconnect after disconnect
    - pstore/blk: trivial typo fixes
    - nvme: Add error check for xa_store in nvme_get_effects_log
    - partitions: ldm: remove the initial kernel-doc notation
    - select: Fix unbalanced user_access_end()
    - afs: Fix the fallback handling for the YFS.RemoveFile2 RPC call
    - sched/psi: Use task->psi_flags to clear in CPU migration
    - sched/fair: Fix value reported by hot tasks pulled in /proc/schedstat
    - [arm64] drm/msm/dp: set safe_to_exit_level before printing it
    - [arm64,armhf] drm/etnaviv: Fix page property being used for non
      writecombine buffers
    - HID: core: Fix assumption that Resolution Multipliers must be in Logical
      Collections
    - drm/amdgpu: Fix potential NULL pointer dereference in
      atomctrl_get_smc_sclk_range_table
    - [arm64] drm/rockchip: vop2: Fix cluster windows alpha ctrl regsiters
      offset
    - [arm64] drm/rockchip: vop2: Fix the mixer alpha setup for layer 0
    - [arm64] drm/rockchip: vop2: Set YUV/RGB overlay mode
    - [arm64] drm/rockchip: vop2: set bg dly and prescan dly at vop2_post_config
    - [arm64] drm/rockchip: vop2: Fix the windows switch between different
      layers
    - [arm64] drm/rockchip: vop2: Check linear format for Cluster windows on
      rk3566/8
    - OPP: Rearrange entries in pm_opp.h
    - OPP: Introduce dev_pm_opp_find_freq_{ceil/floor}_indexed() APIs
    - OPP: Introduce dev_pm_opp_get_freq_indexed() API
    - OPP: Add dev_pm_opp_find_freq_exact_indexed()
    - OPP: Reuse dev_pm_opp_get_freq_indexed()
    - OPP: add index check to assert to avoid buffer overflow in _read_freq()
    - OPP: fix dev_pm_opp_find_bw_*() when bandwidth table not initialized
    - genirq: Make handle_enforce_irqctx() unconditionally available
    - ipmi: ipmb: Add check devm_kasprintf() returned value
    - wifi: ath11k: Fix unexpected return buffer manager error for
      WCN6750/WCN6855
    - wifi: rtlwifi: do not complete firmware loading needlessly
    - wifi: rtlwifi: rtl8192se: rise completion of firmware loading as last step
    - wifi: rtlwifi: wait for firmware loading before releasing memory
    - wifi: rtlwifi: fix init_sw_vars leak when probe fails
    - wifi: rtlwifi: usb: fix workqueue leak when probe fails
    - wifi: wcn36xx: fix channel survey memory allocation size
    - net_sched: sch_sfq: annotate data-races around q->perturb_period
    - net_sched: sch_sfq: handle bigger packets
    - net_sched: sch_sfq: don't allow 1 packet limit
    - dt-bindings: mmc: controller: clarify the address-cells description
    - dt-bindings: leds: class-multicolor: Fix path to color definitions
    - wifi: rtlwifi: remove unused timer and related code
    - wifi: rtlwifi: remove unused dualmac control leftovers
    - wifi: rtlwifi: remove unused check_buddy_priv
    - wifi: rtlwifi: destroy workqueue at rtl_deinit_core
    - wifi: rtlwifi: fix memory leaks and invalid access at probe error path
    - wifi: rtlwifi: pci: wait for firmware loading before releasing memory
    - HID: multitouch: fix support for Goodix PID 0x01e9
    - regulator: dt-bindings: mt6315: Drop regulator-compatible property
    - ACPI: fan: cleanup resources in the error path of .probe()
    - cpupower: fix TSC MHz calculation
    - dt-bindings: mfd: bd71815: Fix rsense and typos
    - leds: netxbig: Fix an OF node reference leak in
      netxbig_leds_get_of_pdata()
    - inetpeer: remove create argument of inet_getpeer_v[46]()
    - inetpeer: remove create argument of inet_getpeer()
    - inetpeer: update inetpeer timestamp in inet_getpeer()
    - inetpeer: do not get a refcount in inet_getpeer()
    - [armhf] pwm: stm32-lp: Add check for clk_enable()
    - cpufreq: schedutil: Fix superfluous updates caused by need_freq_update
    - [arm64] clk: imx8mp: Fix clkout1/2 support
    - team: prevent adding a device which is already a team device lower
    - regulator: of: Implement the unwind path of of_regulator_match()
    - OPP: OF: Fix an OF node leak in _opp_add_static_v2()
    - [arm64] clk: qcom: gcc-sdm845: Do not use shared clk_ops for QUPs
    - HID: hid-thrustmaster: Fix warning in thrustmaster_probe by adding
      endpoint check
    - mfd: syscon: Remove extern from function prototypes
    - mfd: syscon: Add of_syscon_register_regmap() API
    - mfd: syscon: Use scoped variables with memory allocators to simplify error
      paths
    - mfd: syscon: Fix race in device_node_get_regmap()
    - samples/landlock: Fix possible NULL dereference in parse_path()
    - wifi: wlcore: fix unbalanced pm_runtime calls
    - wifi: mac80211: prohibit deactivating all links
    - wifi: mac80211: Fix common size calculation for ML element
    - net/smc: fix data error when recvmsg with MSG_PEEK flag
    - landlock: Handle weird files
    - wifi: mt76: mt76u_vendor_request: Do not print error messages when -EPROTO


=== debian/control ===
Source: linux-6.1
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 4.2.0
Build-Depends: debhelper (>= 10.1~), dh-exec, python3:native, python3-jinja2, quilt, cpio <!stage1>, xz-utils <!stage1>, dh-python <!stage1>, bison <!stage1>, flex (>= 2.6.1-1.1~) <!stage1>
Build-Depends-Arch: kmod <!pkg.linux.nokernel !stage1>, bc <!pkg.linux.nokernel !stage1>, libssl-dev:native <!pkg.linux.nokernel !stage1>, libssl-dev <!pkg.linux.notools !stage1>, openssl (>= 1.1.0-1~) <!pkg.linux.nokernel !stage1>, libelf-dev:native <!pkg.linux.nokernel !stage1>, libelf-dev <!pkg.linux.notools !stage1>, rsync, liblz4-tool [amd64 arm64] <!pkg.linux.nokernel !stage1>, gcc-6 [alpha arm64 armel armhf hppa ia64 m68k mips mips64 mips64el mips64r6 mips64r6el mipsel mipsr6 mipsr6el powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64] <!cross !pkg.linux.nokernel !stage1>, gcc-6-alpha-linux-gnu [alpha] <cross !pkg.linux.nokernel !stage1>, gcc-6 (>= 6.3.0-18+deb9u1~) [amd64 i386] <!cross !pkg.linux.nokernel !stage1>, gcc-6-x86-64-linux-gnu (>= 6.3.0-18+deb9u1~) [amd64] <cross !pkg.linux.nokernel !stage1>, gcc-6-aarch64-linux-gnu [arm64] <cross !pkg.linux.nokernel !stage1>, gcc-arm-linux-gnueabihf [arm64] <!pkg.linux.nokernel !stage1>, gcc-6-arm-linux-gnueabi [armel] <cross !pkg.linux.nokernel !stage1>, gcc-6-arm-linux-gnueabihf [armhf] <cross !pkg.linux.nokernel !stage1>, gcc-6-hppa-linux-gnu [hppa] <cross !pkg.linux.nokernel !stage1>, binutils-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-6-hppa64-linux-gnu [hppa] <!pkg.linux.nokernel !stage1>, gcc-6-i686-linux-gnu (>= 6.3.0-18+deb9u1~) [i386] <cross !pkg.linux.nokernel !stage1>, gcc-6-ia64-linux-gnu [ia64] <cross !pkg.linux.nokernel !stage1>, gcc-6-m68k-linux-gnu [m68k] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips-linux-gnu [mips] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips64-linux-gnuabi64 [mips64] <cross !pkg.linux.nokernel !stage1>, gcc-6-mips64el-linux-gnuabi64 [mips64el] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa64r6-linux-gnuabi64 [mips64r6] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa64r6el-linux-gnuabi64 [mips64r6el] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsel-linux-gnu [mipsel] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa32r6-linux-gnu [mipsr6] <cross !pkg.linux.nokernel !stage1>, gcc-6-mipsisa32r6el-linux-gnu [mipsr6el] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc-linux-gnu [powerpc] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc64-linux-gnu [ppc64] <cross !pkg.linux.nokernel !stage1>, gcc-6-powerpc64le-linux-gnu [ppc64el] <cross !pkg.linux.nokernel !stage1>, gcc-6-riscv64-linux-gnu [riscv64] <cross !pkg.linux.nokernel !stage1>, gcc-6-s390x-linux-gnu [s390x] <cross !pkg.linux.nokernel !stage1>, gcc-6-sh4-linux-gnu [sh4] <cross !pkg.linux.nokernel !stage1>, gcc-6-sparc64-linux-gnu [sparc64] <cross !pkg.linux.nokernel !stage1>
Build-Depends-Indep: graphviz <!nodoc !pkg.linux.quick !stage1>, python3-sphinx <!nodoc !pkg.linux.quick !stage1>, python3-sphinx-rtd-theme <!nodoc !pkg.linux.quick !stage1>, texlive-latex-base <!nodoc !pkg.linux.quick !stage1>, texlive-latex-extra <!nodoc !pkg.linux.quick !stage1>, dvipng <!nodoc !pkg.linux.quick !stage1>, patchutils <!pkg.linux.nosource !pkg.linux.quick !stage1>
Rules-Requires-Root: no
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-support-6.1.0-0.deb9.32
Architecture: all
Section: devel
Build-Profiles: <!stage1>
Depends: ${python3:Depends}, python3-jinja2, ${misc:Depends}
Multi-Arch: foreign
Description: Support files for Linux 6.1
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.

Package: linux-doc-6.1
Architecture: all
Section: doc
Build-Profiles: <!nodoc !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Linux kernel specific documentation for version 6.1
 This package provides the various README files and HTML documentation for
 the Linux kernel version 6.1.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  An index to the documentation is installed as
 /usr/share/doc/linux-doc-6.1/html/index.html.

Package: linux-source-6.1
Architecture: all
Section: kernel
Build-Profiles: <!pkg.linux.nosource !pkg.linux.quick !stage1>
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: build-essential, bc, rsync, kmod, cpio, bison, flex, libelf-dev, libssl-dev, linux-config-6.1
Suggests: libncurses-dev | ncurses-dev, qtbase5-dev, pkg-config
Multi-Arch: foreign
Description: Linux kernel source for version 6.1 with Debian patches
 This package provides source code for the Linux kernel version 6.1. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.

Package: linux-headers-6.1.0-0.deb9.32-common
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb9.32
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb9.32, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-6.1.0-0.deb9.32-(flavour) package, matching the flavour of
 the kernel you intend the build for.

Package: linux-headers-6.1.0-0.deb9.32-common-rt
Architecture: all
Build-Profiles: <!pkg.linux.nokernel !stage1>
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common header files for Linux 6.1.0-0.deb9.32-rt
 This package provides the common kernel header files for Linux kernel
 version 6.1.0-0.deb9.32 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-6.1.0-0.deb9.32-(flavour)
 package, matching the flavour of the kernel you intend the build for.

Package: linux-config-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.nosource !stage1>
Depends: ${misc:Depends}
Recommends: linux-source-6.1
Multi-Arch: same
Description: Debian kernel configurations for Linux 6.1
 This package contains the configuration files used to build the official
 Debian kernel files, but without references to Debian's signing
 certificates.
 .
 These can be used as a basis for configuring custom kernels.

Package: linux-kbuild-6.1
Architecture: linux-any
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Kbuild infrastructure for Linux 6.1
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 6.1.

Package: linux-bootwrapper-6.1.0-0.deb9.32
Architecture: powerpc ppc64
Build-Profiles: <!pkg.linux.notools !stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Boot wrapper tools for Linux 6.1 on PowerPC
 This package provides the 'wrapper' script and related tools needed to
 process the Linux kernel image for use with some PowerPC platforms.

Package: linux-headers-6.1.0-0.deb9.32-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.32-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
Description: Header files for Linux 6.1.0-0.deb9.32-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb9.32-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb9.32-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb9.32-alpha-generic package.

Package: linux-image-6.1.0-0.deb9.32-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.32 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]
Suggests: linux-doc-6.1, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: wireless-regdb (<< 2019.06.03-1~) [alpha], initramfs-tools (<< 0.120+deb8u2)
Description: Linux 6.1 for Alpha
 The Linux kernel 6.1 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).

Package: linux-image-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-modules-6.1.0-0.deb9.32-alpha-generic, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
Depends: linux-image-6.1.0-0.deb9.32-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Linux for Alpha (meta-package)
 This package depends on the latest Linux kernel and modules for use on DEC
 Alpha systems with extended kernel start address (Wildfire, Titan,
 Marvel).

Package: linux-headers-6.1-alpha-generic
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.32-alpha-generic (= ${binary:Version}), ${misc:Depends}
Description: Header files for Linux alpha-generic configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel alpha-generic configuration.

Package: linux-image-6.1.0-0.deb9.32-alpha-generic-dbg
Architecture: alpha
Section: debug
Priority: optional
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick !stage1>
Depends: ${misc:Depends}
Description: Debug symbols for linux-image-6.1.0-0.deb9.32-alpha-generic
 This package provides the detached debug symbols for the Linux kernel and
 modules in linux-image-6.1.0-0.deb9.32-alpha-generic.

Package: linux-image-6.1-alpha-generic-dbg
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.nometa !pkg.linux.quick !stage1>
Provides: linux-latest-image-dbg
Depends: linux-image-6.1.0-0.deb9.32-alpha-generic-dbg (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for Linux alpha-generic configuration (meta-package)
 This package depends on the detached debugging symbols for the latest
 Linux kernel alpha-generic configuration.

Package: linux-headers-6.1.0-0.deb9.32-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: linux-headers-6.1.0-0.deb9.32-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
Description: Header files for Linux 6.1.0-0.deb9.32-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 6.1.0-0.deb9.32-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-6.1.0-0.deb9.32-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-6.1.0-0.deb9.32-alpha-smp package.

Package: linux-image-6.1.0-0.deb9.32-alpha-smp
Architecture: alpha
Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.32 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, apparmor [alpha]

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine, skip-not-installable
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, autopkgtest-reboot, linux-image-6.1.0-0.deb9.32-alpha-generic [alpha], linux-image-6.1.0-0.deb9.32-alpha-smp [alpha], linux-image-6.1.0-0.deb9.32-amd64 [amd64], linux-image-6.1.0-0.deb9.32-cloud-amd64 [amd64], linux-image-6.1.0-0.deb9.32-rt-amd64 [amd64], linux-image-6.1.0-0.deb9.32-arm64 [arm64], linux-image-6.1.0-0.deb9.32-cloud-arm64 [arm64], linux-image-6.1.0-0.deb9.32-rt-arm64 [arm64], linux-image-6.1.0-0.deb9.32-marvell [armel], linux-image-6.1.0-0.deb9.32-rpi [armel], linux-image-6.1.0-0.deb9.32-armmp [armhf], linux-image-6.1.0-0.deb9.32-armmp-lpae [armhf], linux-image-6.1.0-0.deb9.32-rt-armmp [armhf], linux-image-6.1.0-0.deb9.32-parisc [hppa], linux-image-6.1.0-0.deb9.32-parisc64 [hppa], linux-image-6.1.0-0.deb9.32-686 [i386], linux-image-6.1.0-0.deb9.32-686-pae [i386], linux-image-6.1.0-0.deb9.32-rt-686-pae [i386], linux-image-6.1.0-0.deb9.32-itanium [ia64], linux-image-6.1.0-0.deb9.32-mckinley [ia64], linux-image-6.1.0-0.deb9.32-m68k [m68k], linux-image-6.1.0-0.deb9.32-4kc-malta [mips mipsel], linux-image-6.1.0-0.deb9.32-mips32r2eb [mips], linux-image-6.1.0-0.deb9.32-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-0.deb9.32-5kc-malta [mips64 mips64el], linux-image-6.1.0-0.deb9.32-mips64r2eb [mips64], linux-image-6.1.0-0.deb9.32-mips64r2el [mips64el], linux-image-6.1.0-0.deb9.32-loongson-3 [mips64el mipsel], linux-image-6.1.0-0.deb9.32-mips64r6eb [mips64r6], linux-image-6.1.0-0.deb9.32-mips64r6el [mips64r6el], linux-image-6.1.0-0.deb9.32-mips32r2el [mipsel], linux-image-6.1.0-0.deb9.32-mips32r6eb [mipsr6], linux-image-6.1.0-0.deb9.32-mips32r6el [mipsr6el], linux-image-6.1.0-0.deb9.32-powerpc [powerpc], linux-image-6.1.0-0.deb9.32-powerpc-smp [powerpc], linux-image-6.1.0-0.deb9.32-powerpc64 [powerpc ppc64], linux-image-6.1.0-0.deb9.32-powerpc64le [ppc64el], linux-image-6.1.0-0.deb9.32-riscv64 [riscv64], linux-image-6.1.0-0.deb9.32-s390x [s390x], linux-image-6.1.0-0.deb9.32-sh7751r [sh4], linux-image-6.1.0-0.deb9.32-sh7785lcr [sh4], linux-image-6.1.0-0.deb9.32-sparc64 [sparc64], linux-image-6.1.0-0.deb9.32-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial

## linux-6.1 6.1.137

=== net/ipv4/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Makefile for the Linux TCP/IP (INET) layer.
#

obj-y     := route.o inetpeer.o protocol.o \
	     ip_input.o ip_fragment.o ip_forward.o ip_options.o \
	     ip_output.o ip_sockglue.o inet_hashtables.o \
	     inet_timewait_sock.o inet_connection_sock.o \
	     tcp.o tcp_input.o tcp_output.o tcp_timer.o tcp_ipv4.o \
	     tcp_minisocks.o tcp_cong.o tcp_metrics.o tcp_fastopen.o \
	     tcp_rate.o tcp_recovery.o tcp_ulp.o \
	     tcp_offload.o datagram.o raw.o udp.o udplite.o \
	     udp_offload.o arp.o icmp.o devinet.o af_inet.o igmp.o \
	     fib_frontend.o fib_semantics.o fib_trie.o fib_notifier.o \
	     inet_fragment.o ping.o ip_tunnel_core.o gre_offload.o \
	     metrics.o netlink.o nexthop.o udp_tunnel_stub.o

obj-$(CONFIG_BPFILTER) += bpfilter/

obj-$(CONFIG_NET_IP_TUNNEL) += ip_tunnel.o
obj-$(CONFIG_SYSCTL) += sysctl_net_ipv4.o
obj-$(CONFIG_PROC_FS) += proc.o
obj-$(CONFIG_IP_MULTIPLE_TABLES) += fib_rules.o
obj-$(CONFIG_IP_MROUTE) += ipmr.o
obj-$(CONFIG_IP_MROUTE_COMMON) += ipmr_base.o
obj-$(CONFIG_NET_IPIP) += ipip.o
gre-y := gre_demux.o
obj-$(CONFIG_NET_FOU) += fou.o
obj-$(CONFIG_NET_IPGRE_DEMUX) += gre.o
obj-$(CONFIG_NET_IPGRE) += ip_gre.o
udp_tunnel-y := udp_tunnel_core.o udp_tunnel_nic.o
obj-$(CONFIG_NET_UDP_TUNNEL) += udp_tunnel.o
obj-$(CONFIG_NET_IPVTI) += ip_vti.o
obj-$(CONFIG_SYN_COOKIES) += syncookies.o
obj-$(CONFIG_INET_AH) += ah4.o
obj-$(CONFIG_INET_ESP) += esp4.o
obj-$(CONFIG_INET_ESP_OFFLOAD) += esp4_offload.o
obj-$(CONFIG_INET_IPCOMP) += ipcomp.o
obj-$(CONFIG_INET_XFRM_TUNNEL) += xfrm4_tunnel.o
obj-$(CONFIG_INET_TUNNEL) += tunnel4.o
obj-$(CONFIG_IP_PNP) += ipconfig.o
obj-$(CONFIG_NETFILTER)	+= netfilter.o netfilter/
obj-$(CONFIG_INET_DIAG) += inet_diag.o
obj-$(CONFIG_INET_TCP_DIAG) += tcp_diag.o
obj-$(CONFIG_INET_UDP_DIAG) += udp_diag.o
obj-$(CONFIG_INET_RAW_DIAG) += raw_diag.o
obj-$(CONFIG_TCP_CONG_BBR) += tcp_bbr.o
obj-$(CONFIG_TCP_CONG_BIC) += tcp_bic.o
obj-$(CONFIG_TCP_CONG_CDG) += tcp_cdg.o
obj-$(CONFIG_TCP_CONG_CUBIC) += tcp_cubic.o
obj-$(CONFIG_TCP_CONG_DCTCP) += tcp_dctcp.o
obj-$(CONFIG_TCP_CONG_WESTWOOD) += tcp_westwood.o
obj-$(CONFIG_TCP_CONG_HSTCP) += tcp_highspeed.o
obj-$(CONFIG_TCP_CONG_HYBLA) += tcp_hybla.o
obj-$(CONFIG_TCP_CONG_HTCP) += tcp_htcp.o
obj-$(CONFIG_TCP_CONG_VEGAS) += tcp_vegas.o
obj-$(CONFIG_TCP_CONG_NV) += tcp_nv.o
obj-$(CONFIG_TCP_CONG_VENO) += tcp_veno.o
obj-$(CONFIG_TCP_CONG_SCALABLE) += tcp_scalable.o
obj-$(CONFIG_TCP_CONG_LP) += tcp_lp.o
obj-$(CONFIG_TCP_CONG_YEAH) += tcp_yeah.o
obj-$(CONFIG_TCP_CONG_ILLINOIS) += tcp_illinois.o
obj-$(CONFIG_NET_SOCK_MSG) += tcp_bpf.o
obj-$(CONFIG_BPF_SYSCALL) += udp_bpf.o
obj-$(CONFIG_NETLABEL) += cipso_ipv4.o

obj-$(CONFIG_XFRM) += xfrm4_policy.o xfrm4_state.o xfrm4_input.o \
		      xfrm4_output.o xfrm4_protocol.o

ifeq ($(CONFIG_BPF_JIT),y)
obj-$(CONFIG_BPF_SYSCALL) += bpf_tcp_ca.o
endif

=== debian/changelog ===
linux-6.1 (6.1.137-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch:
    - Set ABI to 0.deb9.35

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 May 2025 13:20:38 +0200

linux-6.1 (6.1.137-1~deb10u1) buster-security; urgency=medium

  * Rebuild for buster:
    - Set ABI to 0.deb10.35

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 21 May 2025 11:17:32 +0200

linux-6.1 (6.1.137-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye:
    - Set ABI to 0.deb11.35
    - linux-signed-*: lintian:
      + Adjust override of version-substvar-for-external-package
      + Add override of copyright-excludes-files-in-native-package

 -- Ben Hutchings <benh@debian.org>  Sun, 18 May 2025 22:16:58 +0200

linux (6.1.137-1) bookworm; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.136
    - module: sign with sha512 instead of sha1 by default
    - tracing: Add __cpumask to denote a trace event field that is a cpumask_t
    - tracing: Fix cpumask() example typo
    - tracing: Add __string_len() example
    - tracing: Add __print_dynamic_array() helper
    - tracing: Verify event formats that have "%*p.."
    - [arm64,armhf] net: dsa: mv88e6xxx: don't dispose of Global2 IRQ mappings
      from mdiobus code
    - [arm64,armhf] net: dsa: add support for mac_prepare() and mac_finish()
      calls
    - [arm64,armhf] net: dsa: mv88e6xxx: move link forcing to
      mac_prepare/mac_finish
    - [arm64,armhf] net: dsa: mv88e6xxx: pass directly chip structure to
      mv88e6xxx_phy_is_internal
    - [arm64,armhf] net: dsa: mv88e6xxx: add field to specify internal phys
      layout
    - [arm64,armhf] net: dsa: mv88e6xxx: fix internal PHYs for 6320 family
    - [arm64,armhf] net: dsa: mv88e6xxx: fix VTU methods for 6320 family
    - iio: adc: ad7768-1: Move setting of val a bit later to avoid unnecessary
      return value check
    - iio: adc: ad7768-1: Fix conversion result sign
    - [arm64] backlight: led_bl: Convert to platform remove callback returning
      void
    - [arm64] backlight: led_bl: Hold led_access lock when calling
      led_sysfs_disable() (CVE-2025-23144)
    - of: resolver: Simplify of_resolve_phandles() using __free()
    - of: resolver: Fix device node refcount leakage in of_resolve_phandles()
    - PCI: Assign PCI domain IDs by ida_alloc()
    - PCI: Fix reference leak in pci_register_host_bridge()
    - ASoC: qcom: q6dsp: add support to more display ports
    - ASoC: qcom: Fix sc7280 lpass potential buffer overflow
    - dma/contiguous: avoid warning about unused size_bytes
    - [arm64] cpufreq: scpi: Fix null-ptr-deref in scpi_cpufreq_get_rate()
    - [arm64] cpufreq: cppc: Fix invalid return value in .get() callback
    - btrfs: avoid page_lockend underflow in btrfs_punch_hole_lock_range()
    - scsi: core: Clear flags for scsi_cmnd that did not complete
    - net: lwtunnel: disable BHs when required
    - net: phy: leds: fix memory leak
    - tipc: fix NULL pointer dereference in tipc_mon_reinit_self()
    - net_sched: hfsc: Fix a UAF vulnerability in class handling
      (CVE-2025-37797)
    - net_sched: hfsc: Fix a potential UAF in hfsc_dequeue() too
    - [amd64] iommu/amd: Return an error if vCPU affinity is set for non-vCPU
      IRTE
    - [x86] perf/x86: Fix non-sampling (counting) events on certain x86
      platforms
    - wifi: mac80211: export ieee80211_purge_tx_queue() for drivers
    - wifi: rtw88: use ieee80211_purge_tx_queue() to purge TX skb
    - virtio_console: fix missing byte order handling for cols and rows
    - xen-netfront: handle NULL returned by xdp_convert_buff_to_frame()
    - drm/amd/display: Fix gpu reset in multidisplay config
    - drm/amd/display: Force full update in gpu reset
    - [x86] KVM: SVM: Allocate IR data using atomic allocation
    - USB: storage: quirk for ADATA Portable HDD CH94
    - mei: me: add panther lake H DID
    - [x86] KVM: x86: Explicitly treat routing entry type changes as changes
    - [x86] KVM: x86: Reset IRTE to host control if *new* route isn't postable
    - [arm64] serial: msm: Configure correct working mode before starting
      earlycon
    - USB: serial: ftdi_sio: add support for Abacus Electrics Optical Probe
    - USB: serial: option: add Sierra Wireless EM9291
    - USB: serial: simple: add OWON HDS200 series oscilloscope support
    - [arm64,armhf] usb: chipidea: ci_hdrc_imx: fix usbmisc handling
    - [arm64,armhf] usb: chipidea: ci_hdrc_imx: fix call balance of regulator
      routines
    - [arm64,armhf] usb: chipidea: ci_hdrc_imx: implement usb_phy_init() error
      handling
    - USB: OHCI: Add quirk for LS7A OHCI controller (rev 0x02)
    - [arm64,armhf] usb: dwc3: gadget: check that event count does not exceed
      event buffer length
    - [arm64,armhf] usb: dwc3: xilinx: Prevent spike in reset signal
    - usb: quirks: add DELAY_INIT quirk for Silicon Motion Flash Drive
    - usb: quirks: Add delay init quirk for SanDisk 3.2Gen1 Flash Drive
    - USB: VLI disk crashes if LPM is used
    - USB: wdm: handle IO errors in wdm_wwan_port_start
    - USB: wdm: close race between wdm_open and wdm_wwan_port_stop
    - USB: wdm: wdm_wwan_port_tx_complete mutex in atomic context
    - USB: wdm: add annotation
    - [mips*] cm: Detect CM quirks from device tree
    - crypto: null - Use spin lock instead of mutex
    - bpf: Fix deadlock between rcu_tasks_trace and event_mutex.
    - clk: check for disabled clock-provider in of_clk_get_hw_from_clkspec()
    - [s390x] sclp: Add check for get_zeroed_page()
    - [s390x] tty: Fix a potential memory leak bug
    - [arm64,armhf] usb: dwc3: gadget: Refactor loop to avoid NULL endpoints
    - [arm64,armhf] usb: dwc3: gadget: Avoid using reserved endpoints on Intel
      Merrifield
    - sound/virtio: Fix cancel_sync warnings on uninitialized work_structs
    - usb: xhci: Avoid Stop Endpoint retry loop if the endpoint seems Running


=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/kernel-team/linux
 Vcs-Git: https://salsa.debian.org/kernel-team/linux.git
 
-Package: linux-support-6.1.0-0.deb9.32
+Package: linux-support-6.1.0-0.deb9.35
 Architecture: all
 Section: devel
 Build-Profiles: <!stage1>
@@ -51,28 +51,28 @@
  features that have already been (or are believed to be) accepted by the
  upstream maintainers.
 
-Package: linux-headers-6.1.0-0.deb9.32-common
+Package: linux-headers-6.1.0-0.deb9.35-common
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-0.deb9.32
+Description: Common header files for Linux 6.1.0-0.deb9.35
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-0.deb9.32, generally used for building out-of-tree kernel
+ version 6.1.0-0.deb9.35, generally used for building out-of-tree kernel
  modules.  To obtain a complete set of headers you also need to install the
- linux-headers-6.1.0-0.deb9.32-(flavour) package, matching the flavour of
+ linux-headers-6.1.0-0.deb9.35-(flavour) package, matching the flavour of
  the kernel you intend the build for.
 
-Package: linux-headers-6.1.0-0.deb9.32-common-rt
+Package: linux-headers-6.1.0-0.deb9.35-common-rt
 Architecture: all
 Build-Profiles: <!pkg.linux.nokernel !stage1>
 Depends: ${misc:Depends}
 Multi-Arch: foreign
-Description: Common header files for Linux 6.1.0-0.deb9.32-rt
+Description: Common header files for Linux 6.1.0-0.deb9.35-rt
  This package provides the common kernel header files for Linux kernel
- version 6.1.0-0.deb9.32 with the PREEMPT_RT featureset, generally used for
+ version 6.1.0-0.deb9.35 with the PREEMPT_RT featureset, generally used for
  building out-of-tree kernel modules.  To obtain a complete set of headers
- you also need to install the linux-headers-6.1.0-0.deb9.32-(flavour)
+ you also need to install the linux-headers-6.1.0-0.deb9.35-(flavour)
  package, matching the flavour of the kernel you intend the build for.
 
 Package: linux-config-6.1
@@ -97,7 +97,7 @@
  This package provides the kbuild infrastructure for the headers packages
  for Linux kernel version 6.1.
 
-Package: linux-bootwrapper-6.1.0-0.deb9.32
+Package: linux-bootwrapper-6.1.0-0.deb9.35
 Architecture: powerpc ppc64
 Build-Profiles: <!pkg.linux.notools !stage1>
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -106,22 +106,22 @@
  This package provides the 'wrapper' script and related tools needed to
  process the Linux kernel image for use with some PowerPC platforms.
 
-Package: linux-headers-6.1.0-0.deb9.32-alpha-generic
+Package: linux-headers-6.1.0-0.deb9.35-alpha-generic
 Architecture: alpha
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
-Depends: linux-headers-6.1.0-0.deb9.32-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
-Description: Header files for Linux 6.1.0-0.deb9.32-alpha-generic
+Depends: linux-headers-6.1.0-0.deb9.35-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
+Description: Header files for Linux 6.1.0-0.deb9.35-alpha-generic
  This package provides the architecture-specific kernel header files for
- Linux kernel 6.1.0-0.deb9.32-alpha-generic, generally used for building
+ Linux kernel 6.1.0-0.deb9.35-alpha-generic, generally used for building
  out-of-tree kernel modules.  These files are going to be installed into
- /usr/src/linux-headers-6.1.0-0.deb9.32-alpha-generic, and can be used for
+ /usr/src/linux-headers-6.1.0-0.deb9.35-alpha-generic, and can be used for
  building modules that load into the kernel provided by the
- linux-image-6.1.0-0.deb9.32-alpha-generic package.
+ linux-image-6.1.0-0.deb9.35-alpha-generic package.
 
-Package: linux-image-6.1.0-0.deb9.32-alpha-generic
+Package: linux-image-6.1.0-0.deb9.35-alpha-generic
 Architecture: alpha
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
-Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.32 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
+Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.35 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
 Recommends: firmware-linux-free, apparmor [alpha]
 Suggests: linux-doc-6.1, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
 Breaks: wireless-regdb (<< 2019.06.03-1~) [alpha], initramfs-tools (<< 0.120+deb8u2)
@@ -132,8 +132,8 @@
 Package: linux-image-6.1-alpha-generic
 Architecture: alpha
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
-Provides: linux-latest-modules-6.1.0-0.deb9.32-alpha-generic, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
-Depends: linux-image-6.1.0-0.deb9.32-alpha-generic (= ${binary:Version}), ${misc:Depends}
+Provides: linux-latest-modules-6.1.0-0.deb9.35-alpha-generic, wireguard-modules (= 1.0.0), virtualbox-guest-modules [amd64 i386]
+Depends: linux-image-6.1.0-0.deb9.35-alpha-generic (= ${binary:Version}), ${misc:Depends}
 Description: Linux for Alpha (meta-package)
  This package depends on the latest Linux kernel and modules for use on DEC
  Alpha systems with extended kernel start address (Wildfire, Titan,
@@ -142,44 +142,44 @@
 Package: linux-headers-6.1-alpha-generic
 Architecture: alpha
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nometa !pkg.linux.quick !stage1>
-Depends: linux-headers-6.1.0-0.deb9.32-alpha-generic (= ${binary:Version}), ${misc:Depends}
+Depends: linux-headers-6.1.0-0.deb9.35-alpha-generic (= ${binary:Version}), ${misc:Depends}
 Description: Header files for Linux alpha-generic configuration (meta-package)
  This package depends on the architecture-specific header files for the
  latest Linux kernel alpha-generic configuration.
 
-Package: linux-image-6.1.0-0.deb9.32-alpha-generic-dbg
+Package: linux-image-6.1.0-0.deb9.35-alpha-generic-dbg
 Architecture: alpha
 Section: debug
 Priority: optional
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.quick !stage1>
 Depends: ${misc:Depends}
-Description: Debug symbols for linux-image-6.1.0-0.deb9.32-alpha-generic
+Description: Debug symbols for linux-image-6.1.0-0.deb9.35-alpha-generic
  This package provides the detached debug symbols for the Linux kernel and
- modules in linux-image-6.1.0-0.deb9.32-alpha-generic.
+ modules in linux-image-6.1.0-0.deb9.35-alpha-generic.
 
 Package: linux-image-6.1-alpha-generic-dbg
 Architecture: alpha
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.nokerneldbg !pkg.linux.nometa !pkg.linux.quick !stage1>
 Provides: linux-latest-image-dbg
-Depends: linux-image-6.1.0-0.deb9.32-alpha-generic-dbg (= ${binary:Version}), ${misc:Depends}
+Depends: linux-image-6.1.0-0.deb9.35-alpha-generic-dbg (= ${binary:Version}), ${misc:Depends}
 Description: Debugging symbols for Linux alpha-generic configuration (meta-package)
  This package depends on the detached debugging symbols for the latest
  Linux kernel alpha-generic configuration.
 
-Package: linux-headers-6.1.0-0.deb9.32-alpha-smp
+Package: linux-headers-6.1.0-0.deb9.35-alpha-smp
 Architecture: alpha
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
-Depends: linux-headers-6.1.0-0.deb9.32-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
-Description: Header files for Linux 6.1.0-0.deb9.32-alpha-smp
+Depends: linux-headers-6.1.0-0.deb9.35-common (= ${source:Version}), linux-kbuild-6.1 (>= ${source:Version}), ${misc:Depends}, gcc-6
+Description: Header files for Linux 6.1.0-0.deb9.35-alpha-smp
  This package provides the architecture-specific kernel header files for
- Linux kernel 6.1.0-0.deb9.32-alpha-smp, generally used for building
+ Linux kernel 6.1.0-0.deb9.35-alpha-smp, generally used for building
  out-of-tree kernel modules.  These files are going to be installed into
- /usr/src/linux-headers-6.1.0-0.deb9.32-alpha-smp, and can be used for
+ /usr/src/linux-headers-6.1.0-0.deb9.35-alpha-smp, and can be used for
  building modules that load into the kernel provided by the
- linux-image-6.1.0-0.deb9.32-alpha-smp package.
+ linux-image-6.1.0-0.deb9.35-alpha-smp package.
 
-Package: linux-image-6.1.0-0.deb9.32-alpha-smp
+Package: linux-image-6.1.0-0.deb9.35-alpha-smp
 Architecture: alpha
 Build-Profiles: <!pkg.linux.nokernel !pkg.linux.quick !stage1>
-Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.32 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
+Depends: kmod, linux-base (>= 4.3~), linux-bootwrapper-6.1.0-0.deb9.35 [powerpc ppc64], ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
 Recommends: firmware-linux-free, apparmor [alpha]

=== debian/tests/control ===
Tests: python
Restrictions: superficial
Depends: python3

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine, skip-not-installable
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, autopkgtest-reboot, linux-image-6.1.0-0.deb9.35-alpha-generic [alpha], linux-image-6.1.0-0.deb9.35-alpha-smp [alpha], linux-image-6.1.0-0.deb9.35-amd64 [amd64], linux-image-6.1.0-0.deb9.35-cloud-amd64 [amd64], linux-image-6.1.0-0.deb9.35-rt-amd64 [amd64], linux-image-6.1.0-0.deb9.35-arm64 [arm64], linux-image-6.1.0-0.deb9.35-cloud-arm64 [arm64], linux-image-6.1.0-0.deb9.35-rt-arm64 [arm64], linux-image-6.1.0-0.deb9.35-marvell [armel], linux-image-6.1.0-0.deb9.35-rpi [armel], linux-image-6.1.0-0.deb9.35-armmp [armhf], linux-image-6.1.0-0.deb9.35-armmp-lpae [armhf], linux-image-6.1.0-0.deb9.35-rt-armmp [armhf], linux-image-6.1.0-0.deb9.35-parisc [hppa], linux-image-6.1.0-0.deb9.35-parisc64 [hppa], linux-image-6.1.0-0.deb9.35-686 [i386], linux-image-6.1.0-0.deb9.35-686-pae [i386], linux-image-6.1.0-0.deb9.35-rt-686-pae [i386], linux-image-6.1.0-0.deb9.35-itanium [ia64], linux-image-6.1.0-0.deb9.35-mckinley [ia64], linux-image-6.1.0-0.deb9.35-m68k [m68k], linux-image-6.1.0-0.deb9.35-4kc-malta [mips mipsel], linux-image-6.1.0-0.deb9.35-mips32r2eb [mips], linux-image-6.1.0-0.deb9.35-octeon [mips mips64 mips64el mipsel], linux-image-6.1.0-0.deb9.35-5kc-malta [mips64 mips64el], linux-image-6.1.0-0.deb9.35-mips64r2eb [mips64], linux-image-6.1.0-0.deb9.35-mips64r2el [mips64el], linux-image-6.1.0-0.deb9.35-loongson-3 [mips64el mipsel], linux-image-6.1.0-0.deb9.35-mips64r6eb [mips64r6], linux-image-6.1.0-0.deb9.35-mips64r6el [mips64r6el], linux-image-6.1.0-0.deb9.35-mips32r2el [mipsel], linux-image-6.1.0-0.deb9.35-mips32r6eb [mipsr6], linux-image-6.1.0-0.deb9.35-mips32r6el [mipsr6el], linux-image-6.1.0-0.deb9.35-powerpc [powerpc], linux-image-6.1.0-0.deb9.35-powerpc-smp [powerpc], linux-image-6.1.0-0.deb9.35-powerpc64 [powerpc ppc64], linux-image-6.1.0-0.deb9.35-powerpc64le [ppc64el], linux-image-6.1.0-0.deb9.35-riscv64 [riscv64], linux-image-6.1.0-0.deb9.35-s390x [s390x], linux-image-6.1.0-0.deb9.35-sh7751r [sh4], linux-image-6.1.0-0.deb9.35-sh7785lcr [sh4], linux-image-6.1.0-0.deb9.35-sparc64 [sparc64], linux-image-6.1.0-0.deb9.35-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
